Jakob Voß > Plack-App-DAIA-0.471 > Plack::App::DAIA::Validator

Download:
Plack-App-DAIA-0.471.tar.gz

Dependencies

Annotate this POD

Website

View/Report Bugs
Module Version: 0.471   Source   Latest Release: Plack-App-DAIA-0.55

NAME ^

Plack::App::DAIA::Validator - DAIA validator and converter

VERSION ^

version 0.471

SYNOPSIS ^

    use Plack::Builder;
    use Plack::App::DAIA::Validator;

    builder {
        enable 'JSONP';
        Plack::App::DAIA::Validator->new( 
            xsd      => $location_of_daia_xsd,
            html     => 1,
            xslt     => "/daia.xsl",
            warnings => 1
        );
    };

DESCRIPTION ^

This module provides a simple DAIA validator and converter as PSGI web application.

To support fetching from DAIA Servers via HTTPS you might need to install LWP::Protocol::https version 6.02 or higher.

CONFIGURATION ^

See Plack::App::DAIA for documentation of options xslt, html, warnings, and xsd. XML::LibXML must be installed if xsd is set to validate DAIA/XML.

AUTHOR ^

Jakob Voss

COPYRIGHT AND LICENSE ^

This software is copyright (c) 2012 by Jakob Voss.

This is free software; you can redistribute it and/or modify it under the same terms as the Perl 5 programming language system itself.

syntax highlighting: